import enum  # py3.4

try:
    IntFlag = enum.IntFlag
except AttributeError:
    # requires py < 3.6
    IntFlag = enum.Int


class RS_FILE_HINTS(IntFlag):
    CACHE_deprecated = 0x00000001
    EXTRA = 0x00000002
    LOCAL = 0x00000004
    REMOTE = 0x00000008
    DOWNLOAD = 0x00000010
    UPLOAD = 0x00000020
    SPEC_ONLY = 0x01000000
    NETWORK_WIDE = 0x00000080

    BROWSABLE = 0x00000100
    SEARCHABLE = 0x00000200

    PERMISSION_MASK = 0x00000380


class DIR_FLAGS(IntFlag):
    ANONYMOUS_DOWNLOAD = 0x0080
    BROWSABLE = 0x0400
    ANONYMOUS_SEARCH = 0x0800
